#include "mainwindow.h"
#include <QApplication>
#include <QLoggingCategory>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QLoggingCategory::setFilterRules("timing.debug=true\n"
                                     "mesh.debug=false\n"
                                     "mesh.render.debug=false\n"
                                     "subdiv.debug=true\n"
                                     "subdiv.trace.debug=false\n");

    // If you want to enable debug output for some categories use something like this:
    //QLoggingCategory::setFilterRules("*.debug=false\n"
    //                                 "mesh.debug=true\n");

    MainWindow w;
    w.show();

    return a.exec();
}
